Subject: Re: DNAME questions

From: Klaus Malorny <[email-masked]>
Date: Wed, 15 Nov 2006 12:49:14 +0100

Sorry for reviving an old thread, but I only recently joined the list and wanted 
to add my two cents to the issue.

> I have a few questions about DNAME that I've been storing up. Since some
> folks are currently working on a 2672bis document, I thought that now might be a
 > reasonable time to ask the list.
> 
> 
> 1. Why does DNAME not match at the DNAME itself?
> 
> > [...]
> 
> 2. Does anyone know of any non-trivial production use of DNAME?
> 

One reasonable use of DNAMEs is the use within the context of internationalized 
domain names. Especially in the Latin-based world, IDNs are often used as 
aliases of a well-established domain name. A similar situation occurs with 
non-Latin scripts that allow variants and these cannot be handled by a 
normalization process (like nameprep). For these cases, DNAMEs avoid the need to 
create separate delegations for the IDNs. However, due to the lack of #1,  the 
solution is suboptimal.

> 
> I am curious about this for two reasons: a) if not, then the working group
 > might be free to modify how DNAME works (or deprecate it), b) if not, then why
> not? Perhaps the working group should change DNAME to make it more useful?
> 
> 
> 3. Would there be harm in allowing a DNAME and CNAME to both exist at the
> same  name?
> 
> This is related to questions #1 and #4, actually. But since DNAMEs do not
 > match at the DNAME, does that mean that having a CNAME at the same name is not
 > harmful?
> 

I am not an expert regarding the resolution process of domain names and cannot 
evaluate the impacts, but CNAME + DNAME sounds reasonable to me. Any other 
solution that allows the redirection of both the domain itself and its 
subdomains would be fine to me also.

[...]
> --
> David Blacka    <[email-masked]>
> Sr. Engineer    VeriSign Applied Research

Regards,

Klaus

-- 
___________________________________________________________________________
      |       |
      | knipp |                   Knipp  Medien und Kommunikation GmbH
       -------                           Technologiepark
                                         Martin-Schmeißer-Weg 9
      Dipl. Inf. Klaus Malorny           44227 Dortmund
      [email-masked]             Tel. +49 231 9703 0

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>